bitel.billing.server.contract.bean

## Class LimitChangeTask

- java.lang.Object
- - bitel.billing.server.contract.bean.LimitChangeTask

-     public final class LimitChangeTask
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LimitChangeTask()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getContractId()`
    `java.util.Calendar` | `getDate()`
    `int` | `getId()`
    `java.math.BigDecimal` | `getSubSumm()`
    `int` | `getUserId()`
    `boolean` | `isCreateByContract()`
    `void` | `setContractId(int contractId)`
    `void` | `setCreateByContract(boolean createByContract)`
    `void` | `setDate(java.util.Calendar date)`
    `void` | `setId(int id)`
    `void` | `setSubSumm(java.math.BigDecimal addSumm)`
    `void` | `setUserId(int userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LimitChangeTask

          public LimitChangeTask()

  - ### Method Detail

    - #### getSubSumm

          public java.math.BigDecimal getSubSumm()

    - #### setSubSumm

          public void setSubSumm(java.math.BigDecimal addSumm)

    - #### getContractId

          public int getContractId()

    - #### setContractId

          public void setContractId(int contractId)

    - #### getUserId

          public int getUserId()

    - #### setUserId

          public void setUserId(int userId)

    - #### getDate

          public java.util.Calendar getDate()

    - #### setDate

          public void setDate(java.util.Calendar date)

    - #### getId

          public int getId()

    - #### setId

          public void setId(int id)

    - #### isCreateByContract

          public boolean isCreateByContract()

    - #### setCreateByContract

          public void setCreateByContract(boolean createByContract)